%define name lumiere
%define version 0.4
%define release 2mdk

Name: %{name}
Summary: Capable, customizable, embeddable video player for GNOME2.
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
#Source1: 	%{name}48.png
#Source2: 	%{name}32.png
#Source3: 	%{name}16.png
URL:		http://brain.shacknet.nu/lumiere.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel mplayer gob2 pkgconfig GConf2
BuildRequires:	libxine-devel libgnomeui2_0-devel libbonoboui2_0-devel
BuildRequires:  libbonobo-activation-devel libgnome-vfs2_0-devel
BuildRequires:  libgtkglarea2.0-devel

%description
Lumiere is a GNOME frontend to mplayer the great movie player for *nix. and to
libxine from the xine project.  It includes full support for bonobo control,
a CORBA server for handling video files, and Nautilus View integrates lumiere
inside Nautilus.

%prep
%setup -q

%build
#export WANT_AUTOCONF_2_5=1
#autoconf
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="video_section.png" needs="x11" title="Lumiere" longtitle="Video Player" section="Multimedia/Video"
EOF

#icons
#mkdir -p $RPM_BUILD_ROOT/%_liconsdir
#cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_iconsdir
#cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_miconsdir
#cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog 
%{_bindir}/%name
%{_libdir}/bonobo/servers/*
%{_libdir}/lumiere-control
%{_libdir}/midentify
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_menudir}/%name
#%{_liconsdir}/%name.png
#%{_iconsdir}/%name.png
#%{_miconsdir}/%name.png

%changelog
* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4-2mdk
- redo description

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- 0.4
- redo description to include libxine
- buildrequires libxine-devel, libgtkglarea2-devel

* Tue Feb 4 2003 Austin Acton <aacton@yorku.ca> 0.3.0-2mdk
- remove /etc stuff

* Sat Jan 18 2003 Austin Acton <aacton@yorku.ca> 0.3.0-1mdk
- nicer description
- 0.3.0

* Tue Jan 14 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
- icon is currently corrupted, but code is here; uncomment when icon works

